FROM 10.20.2.132:8083/kg_java:8

ENV APP_DIR /app

ENV JAR_DIR /app/jars

RUN echo 'Asia/Shanghai' >/etc/timezone

#ADD lib ${JAR_DIR}

ADD target/microservice-*.jar ${JAR_DIR}/app.jar

ADD run.sh run.sh

VOLUME ${APP_DIR}

EXPOSE 8046

ENTRYPOINT ["sh", "/run.sh"]
